
input {
    vertical-align: middle;
}

input:disabled {
    background-color: lavenderblush;
}

input:required {
    border: 2px solid green;
}

select:required {
    border: 2px solid green;
}

.tooltip input[type="image"] {
  margin: 0 1em;
}

input.icon {
    width: 40px;
    float: right;
    margin-top: -40px;
}

input.center {
    text-align: center;
}

/* Style the th on tables */
thead .date {
    width: 120px;
}

thead .value {
    width: 130px;
}

thead .phone {
    width: 130px;
}

thead .balance {
    width: 125px;

}
thead .service {
    width: 145px;
}

/* Style the rows on tables */
.noPadding table.alt tbody td {
    padding: 0 !important;
}

tr.total {
    background: none !important;
}

tr.total td {
    text-align: right;
}

tr.total:hover {
    background-color: transparent !important;
}

td {
  vertical-align: middle;
}

td.nullCellLeft {
    border-left: none !important;
    border-bottom: none !important;
    background: none !important;
}

/* Style the table on hover */
.alt tbody tr:hover { background-color: #f8a8a8; }
.alt tbody tr a {color: #7f888f !important;}

/* Style the close button */
.topright {float: right; cursor: pointer; font-size: 20px; top: 0;}
.topright:hover {color: red;}

/* The Close Button */
.close {color: #aaa; float: right; font-size: 28px; font-weight: bold;}
.close:hover, .close:focus {color: black; text-decoration: none; cursor: pointer;}

/* Accordion */
button.accordion {line-height: 0px; cursor: pointer; width: 100%; border: none; text-align: left; outline: none; transition: 0.4s; box-shadow: inset 0 0 0 2px #f5f6f7;}
button.accordion.active, button.accordion:hover {background-color: #f5f6f7;}
button.accordion:after {content: '\002B'; color: #777; font-weight: bold; float: right; margin-left: 5px;}
button.accordion.active:after {content: "\2212";}
div.accordionPanel {padding: 0 18px; background-color: white; max-height: 0; overflow: hidden; transition: max-height 0.5s ease-out;}

table.alt tbody tr td.icon {padding: 0; vertical-align: middle; border-right: none; width: 50px;}

table th.date {
    width: 150px;
}

table th.amount {
    width: 100px;
}

table th.time {
    width: 57px;
}

table th.icon {
    width: 45px;
}

table th.PC {
    width: 80px;
}

table td.VAT {
    width: 120px;
}

table td.icon {
    padding: 0.3em 0 0 0;
    vertical-align: middle;
}

table td.comments {
    word-break:break-all;
}

table tbody tr.success {
    background-color: #ddffdd;
    padding: 0;
    font-size: 100%;
}

table tbody tr.danger {
    background-color: #ff8080;
    border-left: 6px solid #f44336;
    font-size: 130%;
}

table tbody.entrance {
    color: black;
    font-size: 110%;
    font-weight: bold;
}

/*
        Notes
*/
.info {
    text-align: justify;
    background-color: #e7f3fe;
    border-left: 6px solid #2196F3;
    padding: 1em 1em;
    font-size: 110%;
    font-weight: bold;
}

.danger {
    text-align: justify;
    background-color: #ffdddd;
    border-left: 6px solid #f44336;
    padding: 1em 1em;
    font-size: 130%;
}

.success {
    text-align: justify;
    background-color: #ddffdd;
    border-left: 6px solid #4CAF50;
    padding: 1em 1em;
    font-size: 130%;
}

.warning {
    text-align: justify;
    background-color: #ffffcc;
    border-left: 6px solid #ffeb3b;
    padding: 1em 1em;
    font-size: 130%;
}


/* 
        Alert Messages
*/
.alert {
  padding: 20px;
  background-color: #f44336;
  color: white;
}

.alertCloseBtn {
  margin-left: 15px;
  color: white;
  font-weight: bold;
  float: right;
  font-size: 22px;
  line-height: 20px;
  cursor: pointer;
  transition: 0.3s;
}

.alertCloseBtn:hover {
  color: black;
}


/* 
        Modal
*/

/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
    position: relative;
    background-color: #fefefe;
    margin: auto;
    padding: 1em;
    border: 1px solid #888;
    width: 80%;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
    -webkit-animation-name: animatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: animatetop;
    animation-duration: 0.4s
}

/* Add Animation */
@-webkit-keyframes animatetop {
    from {top:-300px; opacity:0} 
    to {top:0; opacity:1}
}

@keyframes animatetop {
    from {top:-300px; opacity:0}
    to {top:0; opacity:1}
}

/* The Close Button */
.close {
    color: white;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

.modal-header {
    padding: 2px 16px;
    background-color: #5cb85c;
    color: white;
}

.modal-body {padding: 2px 16px;}

.modal-footer {
    padding: 2px 16px;
    background-color: #5cb85c;
    color: white;
}

/* 
        Tooltip
*/

.tooltip {
    position: relative;
    display: inline-block;
/*    border-bottom: 1px dotted black;
*/
}

.tooltip .tooltiptext {
    visibility: hidden;
    width: 150px;
    background-color: #555;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 3px;
    position: absolute;
    z-index: 1;
    bottom: 125%;
    left: 50%;
    margin-left: -60px;
    opacity: 0;
    transition: opacity 0.3s;
}

.tooltip .tooltiptext::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #555 transparent transparent transparent;
}

.tooltip:hover .tooltiptext {
    visibility: visible;
    opacity: 1;
}

/*
        Alerts
*/

.alert {
    padding: 20px;
    background-color: #f44336;
    color: white;
    opacity: 1;
    transition: opacity 0.6s;
    margin-bottom: 15px;
}

.alert.success {background-color: #4CAF50;}
.alert.info {background-color: #2196F3;}
.alert.warning {background-color: #ff9800;}

.closebtn {
    margin-left: 15px;
    color: white;
    font-weight: bold;
    float: right;
    font-size: 22px;
    line-height: 20px;
    cursor: pointer;
    transition: 0.3s;
}

.closebtn:hover {
    color: black;
}

/*
        Tabs
*/

/* Style the tab */
.tab {
    overflow: hidden;
    border: 1px solid #ccc;
    border-radius: 0.375em;
    background-color: #f1f1f1;
    width: 100%;
}

/* Style the buttons inside the tab */
.tab button {
    background-color: inherit;
    float: left;
    border: none;
    outline: none;
    cursor: pointer;
    transition: 0.3s;
    font-size: 17px;
}

/* Change background color of buttons on hover */
.tab button:hover {
    background-color: #ddd;
}

/* Create an active/current tablink class */
.tab button.active {
    background-color: #ccc;
}

/* Style the tab content */
.tabcontent {
    display: none;
    padding: 6px 12px;
    -webkit-animation: fadeEffect 1s;
    animation: fadeEffect 1s;
}

/* Fade in tabs */
@-webkit-keyframes fadeEffect {
    from {opacity: 0;}
    to {opacity: 1;}
}

@keyframes fadeEffect {
    from {opacity: 0;}
    to {opacity: 1;}
}


/* 
        Popup Chat Window
*/


/* Button used to open the chat form - fixed at the bottom of the page */
.chat-open-button {
  background-color: #555;
  color: white;
  padding: 16px 20px;
  border: none;
  cursor: pointer;
  opacity: 0.8;
  position: fixed;
  bottom: 23px;
  right: 28px;
  width: 280px;
}

/* The popup chat - hidden by default */
.chat-popup {
  display: none;
  position: fixed;
  bottom: 0;
  right: 15px;
  border: 3px solid #f1f1f1;
  z-index: 9;
}

/* Add styles to the form container */
.chat-form-container {
  max-width: 300px;
  padding: 10px;
  background-color: white;
}

/* Full-width textarea */
.chat-form-container textarea {
  width: 100%;
  padding: 15px;
  margin: 5px 0 22px 0;
  border: none;
  background: #f1f1f1;
  resize: none;
  min-height: 200px;
}

/* When the textarea gets focus, do something */
.chat-form-container textarea:focus {
  background-color: #ddd;
  outline: none;
}

/* Set a style for the submit/send button */
.chat-form-container .btn {
  background-color: #4CAF50;
  color: white;
  padding: 16px 20px;
  border: none;
  cursor: pointer;
  width: 100%;
  margin-bottom:10px;
  opacity: 0.8;
}

/* Add a red background color to the cancel button */
.chat-form-container .cancel {
  background-color: red;
}

/* Add some hover effects to buttons */
.chat-form-container .btn:hover, .chat-open-button:hover {
  opacity: 1;
}

/***************
   Pagination
***************/

.pagination span {
    cursor:pointer;
    color: black;
    float: left;
    padding: 8px 16px;
    text-decoration: none;
    transition: background-color .3s;
}

.pagination span.active {
    background-color: #f56a6a;
    color: white;
}

.pagination span:hover:not(.active) {
    background-color: #ddd;
}

/**********
   Badge
***********/

.badge {
  position: absolute;
  top: -10px;
  left: -10px;
  padding: 5px 10px;
  border-radius: 50%;
  background: red;
  color: white;
}

/**********
   Circle (Dod)
***********/

.dot {
  height: 25px;
  width: 25px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
}

/******************
   Toggle Switch
******************/

.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}

.switch input { 
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked + .slider {
    background-color: #2196F3;
}

input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}
